Name:          openconnect
Version:       7.07
Release:       1mamba
Summary:       A client for Cisco's AnyConnect SSL VPN
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.infradead.org/openconnect/index.html
Source:        ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libproxy-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

%package -n libopenconnect
Group:         System/Libraries
Summary:       A client library for Cisco's AnyConnect SSL VPN

%description -n libopenconnect
OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

%package -n libopenconnect-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for libopenconnect
Requires:      libopenconnect = %{?epoch:%epoch:}%{version}-%{release}

%description -n libopenconnect-devel
OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800, 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure \
   --with-vpnc-script=%{_sysconfdir}/vpnc/vpnc-script
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/openconnect
%{_mandir}/man8/openconnect.8*
%doc TODO

%files -n libopenconnect
%defattr(-,root,root)
%{_libdir}/libopenconnect.so.*
%doc AUTHORS

%files -n libopenconnect-devel
%defattr(-,root,root)
%{_includedir}/openconnect.h
%{_libdir}/libopenconnect.la
%{_libdir}/libopenconnect.so
%dir %{_datadir}/doc/openconnect
%{_datadir}/doc/openconnect/*
%{_libdir}/pkgconfig/openconnect.pc

%changelog
* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 7.07-1mamba
- automatic update by autodist

* Wed Mar 25 2015 Automatic Build System <autodist@mambasoft.it> 7.06-1mamba
- automatic version update by autodist

* Sun Feb 15 2015 Automatic Build System <autodist@mambasoft.it> 7.04-1mamba
- automatic update by autodist

* Sat Jan 17 2015 Automatic Build System <autodist@mambasoft.it> 7.03-1mamba
- automatic update by autodist

* Thu Dec 18 2014 Automatic Build System <autodist@mambasoft.it> 7.01-1mamba
- automatic update by autodist

* Fri Jul 11 2014 Automatic Build System <autodist@mambasoft.it> 6.00-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 5.99-1mamba
- automatic update by autodist

* Tue Feb 18 2014 Automatic Build System <autodist@mambasoft.it> 5.03-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 5.01-1mamba
- automatic version update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 5.00-1mamba
- automatic version update by autodist

* Thu Feb 21 2013 Automatic Build System <autodist@mambasoft.it> 4.99-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 4.07-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 4.06-1mamba
- update to 4.06

* Fri Oct 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.13-1mamba
- package created by autospec
